---
title: DocumentTouch
slug: Web/API/DocumentTouch
tags:
  - API
  - DOM
  - DocumentTouch
  - Mobile
  - Obsolete
  - TouchList
  - touch
---
<div>{{APIRef("DOM")}}{{deprecated_header("gecko25")}}</div>

<p><span class="seoSummary">The <code>DocumentTouch</code> interface used to provide convenience methods for creating {{DOMxRef("Touch")}} and {{DOMxRef("TouchList")}} objects, but <code>DocumentTouch</code> been removed from the standards. These two methods now live on the {{DOMxRef("Document")}} interface.</span></p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("DocumentTouch.createTouch()")}}</dt>
 <dd>Creates a new {{DOMxRef("Touch")}} object.</dd>
 <dt>{{DOMxRef("DocumentTouch.createTouchList()")}}</dt>
 <dd>Creates a new {{DOMxRef("TouchList")}} object.</dd>
</dl>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en/DOM/Touch_events" title="en/DOM/Touch events">Touch events</a></li>
 <li>{{DOMxRef("Touch")}}</li>
 <li>{{DOMxRef("TouchList")}}</li>
 <li>{{DOMxRef("TouchEvent")}}</li>
 <li>{{DOMxRef("Document.createTouch()")}}</li>
 <li>{{DOMxRef("Document.createTouchList()")}}</li>
</ul>
